Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.request
Interface AccessWatchpointRequest

All Superinterfaces:
  EventRequest, Mirror, WatchpointRequest

    public interface AccessWatchpointRequest

extends WatchpointRequest

Request for notification when the contents of a field are accessed in the target VM. This event will be triggered when the specified field is accessed by JavaTM programming language code or by a Java Native Interface (JNI) get function (`Get<Type>Field, GetStatic<Type>Field`). Access by JDI does not trigger this event. When an enabled AccessWatchpointRequest is satisfied, an `event set` containing an `AccessWatchpointEvent` will be placed on the `EventQueue`. The collection of existing ExceptionRequests is managed by the `EventRequestManager` The collection of existing watchpoints is managed by the `EventRequestManager`.

Note that the modification of a Field is not considered an access.

Since:
  1.3
See Also:
  `ModificationWatchpointRequest`, `EventQueue`, `EventRequestManager`

Field Summary

Fields inherited from interface com.sun.jdi.request.EventRequest
`SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

Method Summary

Methods inherited from interface com.sun.jdi.request.WatchpointRequest
`addClassExclusionFilter, addClassFilter, addClassFilter, addInstanceFilter, addThreadFilter, field`

Methods inherited from interface com.sun.jdi.request.EventRequest
`addCountFilter, disable, enable, getProperty, isEnabled, putProperty, setEnabled, setSuspendPolicy, suspendPolicy`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2010, Oracle and/or its affiliates. All rights reserved.